# pubsubplus-connector-azure-service-bus: Java dependencies in the `/libs` folder
Solace
Corporation https://solace.com

*Revision: 1.6.0*
<br/>*Revision Date: 2024-09-05*

## Table of Contents

-   [Preface]
-   [Micrometer Metrics exporter dependencies]

## Preface

This `/libs` directory is provided as a default location for the Java library dependencies (external `jar` files) that are either required or required only when using certain features of the connector (such as Prometheus libraries when using the metrics export to Prometheus feature in your connector configuration).

Solace does not provide the required JAR files due to licensing considerations. These JAR files are required as part of the deployment of the connector for it to operate correctly.

## Micrometer Metrics exporter dependencies

The connector makes use of [Micrometer.io] to provide easy, configuration-driven exporting of connector metrics to many 3rd-party metrics monitoring solutions (see the full list on the Micrometer site).

These services can be configured in the connector configuration (there are commented in the sample configuration provided to guide you), but must have the necessary Java dependencies in the `/libs` directory to operate.

The JAR files that are necessary depend on which metrics service you are configuring. The details for each provider can be found in the [Micrometer documentation]. For example, for [Prometheus], the Micrometer instructions list `io.micrometer.micrometer-registry-prometheus` as the main client library required and the Maven Central page for this library provides the download links for the main `jar` and its compile dependencies. These JAR files are placed in the connector’s `/libs` directory.

  [Preface]: #preface
  [Micrometer Metrics exporter dependencies]: #micrometer-metrics-exporter-dependencies
  [Micrometer.io]: https://micrometer.io/
  [Micrometer documentation]: https://docs.micrometer.io/micrometer/reference/implementations.html
  [Prometheus]: https://prometheus.io/
